Bug 225807 - Merge Review: glib-java
Merge Review: glib-java
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:50 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 06:52:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:50:04 EST
Fedora Merge Review: glib-java

http://cvs.fedora.redhat.com/viewcvs/devel/glib-java/
Initial Owner: skasal@redhat.com
Comment 1 Matěj Cepl 2007-03-14 18:30:39 EDT
1) rpmlint is not silent on source package:
W: glib-java rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it
will break short circuiting.

W: glib-java mixed-use-of-spaces-and-tabs (spaces: line 15, tab: line 26)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

2) rpmlint is not silent on binary package as well:
[matej@chelcicky redhat]$ rpmlint -i RPMS/i386/glib-java-*
W: glib-java-devel summary-ended-with-dot Compressed Java source files for
glib-java.
Summary ends with a dot.

E: glib-java zero-length /usr/share/doc/glib-java-0.2.6/NEWS
W: glib-java devel-file-in-non-devel-package /usr/include/glib-java/jg_jnu.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

3) incorrect BuildRoot tag.
It should be (in decreasing order of preference) one of these:
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%{_tmppath}/%{name}-%{version}-%{release}-root

4) INSTALL should not be installed

5) Check Requires and BuildRequires whether all versions are necessary.
Comment 2 Stepan Kasal 2007-04-20 13:49:50 EDT
All fixed, sorry for the delay.
And similar bugs found in my other packages fixed, too.
Could you please look at this again?
(And to the other 6 java-gnome pkgs and to grep, if you have spare time...)
Thanks!
Comment 3 Matěj Cepl 2007-04-23 11:57:35 EDT
MUST Items:
1. rpmlint must be run on every package.
OK, all runs are silent

2. The package must be named according to the Package Naming Guidelines
OK

3. The spec file name must match the base package %{name}, in the format
%{name}.spec
OK

4. The spec file must be written in American English.
OK

5. The spec file for the package MUST be legible.
Just a question about all java_pkg_* business -- is it
necessary/required/needed? Probably yes (does it have anything to do with
http://fedoraproject.org/wiki/JavaFAQ or http://www.city-fan.org/tips/JpackageJava)?
Doesn't hurt, just possibly silly; otherwise OK

6. Each package must consistently use macros, as described in the macros section
of Packaging Guidelines
OK

7. Each package must have a %clean section, which contains rm -rf %{buildroot}
OK

8. The package must meet the Packaging Guidelines
OK

9. The package must be licensed with an open-source compatible license and meet
other legal requirements as defined in the Packaging Guidelines
OK

10. The License field in the package spec file must match the actual license.
OK

11. If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK

12. The package must contain code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
OK

13. The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task.
OK

14. The package must successfully compile and build into binary rpms on at least
one supported architecture.
OK

15. All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines; inclusion of those
as BuildRequires is optional. Apply common sense.
OK

16. If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch.
OK

17. The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK

18. Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
OK

19. Non-relocatable?
OK

20. A package must own all directories that it creates.
OK

21. A package must not contain any duplicate files in the %files listing.
OK

22. Permissions on files must be set properly.
OK

23. Large documentation files should go in a -doc subpackage.
OK (API documentation is in -devel package)

24. If a package includes something as %doc, it must not affect the runtime of
the application. To summarize: If it is in %doc, the program must run properly
if it is not present.
OK

25. Header files must be in a -devel package.
OK

26. Static libraries must be in a -static package.
OK (there are none)

27. Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for 
directory ownership and usability).
OK

28. If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
library files that end in .so (without suffix) must go in a -devel package.
OK

29. In the vast majority of cases, devel packages must require the base package
using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
OK

30. Packages must NOT contain any .la libtool archives, these should be removed
in the spec.
OK

31. Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section.
OK (no-GUI application, but library)

32. Packages must not own files or directories already owned by other packages.
OK

SHOULD Items:

1. If the source package does not include license text(s) as a separate file
from upstream, the packager SHOULD query upstream to include it.
OK (we have license)

2. The description and summary sections in the package spec file should contain
translations for supported Non-English languages, if available.
OK (we have none)

3. The reviewer should test that the package builds in mock.
OK (built in brew)

4. The package should compile and build into binary rpms on all supported
architectures.
OK (built in brew)

5. The reviewer should test that the package functions as described. A package
should not segfault instead of running, for example.
Not done (will do with the following packages in the java-gnome toolchain, and
if anything happens, will make a bug here).

6. If scriptlets are used, those scriptlets must be sane. This is vague, and
left up to the reviewers judgement to determine sanity.
OK

7. Usually, subpackages other than devel should require the base package using a
fully versioned dependency.
OK (there are no other subpackages than -devel)

8. The placement of pkgconfig(.pc) files depends on their usecase, and this is
usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.
OK (in %{_libdir}/pkconfig/)

9. If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin,
or /usr/sbin consider requiring the package which provides the file instead of
the file itself. Please see File Dependencies in the Guidelines for further
information.
OK (no other dependencies)

APPROVED

Note You need to log in before you can comment on or make changes to this bug.